JavaScript
import Cerca from '@cerca-dev/sdk';
const client = new Cerca({
apiKey: process.env['CERCA_API_KEY'], // This is the default and can be omitted
});
const schedule = await client.schedules.delete('agent_abc123', 'schedule_abc123');
console.log(schedule.success);import os
from cerca import Cerca
client = Cerca(
api_key=os.environ.get("CERCA_API_KEY"), # This is the default and can be omitted
)
schedule = client.schedules.delete(
agent_id="agent_abc123",
schedule_id="schedule_abc123",
)
print(schedule.success)package main
import (
"context"
"fmt"
"github.com/matrices/cerca-go"
"github.com/matrices/cerca-go/option"
)
func main() {
client := cercago.NewClient(
option.WithAPIKey("My API Key"),
)
schedule, err := client.Schedules.Delete(
context.TODO(),
"agent_abc123",
"schedule_abc123",
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", schedule.Success)
}require "cerca"
cerca = Cerca::Client.new(api_key: "My API Key")
schedule = cerca.schedules.delete("agent_abc123", "schedule_abc123")
puts(schedule)cerca schedules delete \
--api-key 'My API Key' \
--agent-id agent_abc123 \
--schedule-id schedule_abc123curl --request DELETE \
--url https://api.cerca.dev/agents/{agentId}/schedules/{scheduleId} \
--header 'Authorization: Bearer <token>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cerca.dev/agents/{agentId}/schedules/{scheduleId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.delete("https://api.cerca.dev/agents/{agentId}/schedules/{scheduleId}")
.header("Authorization", "Bearer <token>")
.asString();{
"success": true
}{
"error": "<string>",
"code": "MONTHLY_TOKEN_BUDGET_EXCEEDED"
}{
"error": "<string>",
"code": "MONTHLY_TOKEN_BUDGET_EXCEEDED"
}{
"error": "<string>",
"code": "MONTHLY_TOKEN_BUDGET_EXCEEDED"
}{
"error": "<string>",
"code": "MONTHLY_TOKEN_BUDGET_EXCEEDED"
}{
"error": "<string>",
"code": "MONTHLY_TOKEN_BUDGET_EXCEEDED"
}{
"error": "<string>",
"code": "MONTHLY_TOKEN_BUDGET_EXCEEDED"
}{
"error": "<string>",
"code": "MONTHLY_TOKEN_BUDGET_EXCEEDED"
}Schedules
Delete schedule
DELETE
/
agents
/
{agentId}
/
schedules
/
{scheduleId}
JavaScript
import Cerca from '@cerca-dev/sdk';
const client = new Cerca({
apiKey: process.env['CERCA_API_KEY'], // This is the default and can be omitted
});
const schedule = await client.schedules.delete('agent_abc123', 'schedule_abc123');
console.log(schedule.success);import os
from cerca import Cerca
client = Cerca(
api_key=os.environ.get("CERCA_API_KEY"), # This is the default and can be omitted
)
schedule = client.schedules.delete(
agent_id="agent_abc123",
schedule_id="schedule_abc123",
)
print(schedule.success)package main
import (
"context"
"fmt"
"github.com/matrices/cerca-go"
"github.com/matrices/cerca-go/option"
)
func main() {
client := cercago.NewClient(
option.WithAPIKey("My API Key"),
)
schedule, err := client.Schedules.Delete(
context.TODO(),
"agent_abc123",
"schedule_abc123",
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", schedule.Success)
}require "cerca"
cerca = Cerca::Client.new(api_key: "My API Key")
schedule = cerca.schedules.delete("agent_abc123", "schedule_abc123")
puts(schedule)cerca schedules delete \
--api-key 'My API Key' \
--agent-id agent_abc123 \
--schedule-id schedule_abc123Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Minimum string length:
1Example:
"agent_abc123"
Minimum string length:
1Example:
"schedule_abc123"
Response
Scheduled thread deleted.
Available options:
true ⌘I